import { _decorator, Component, Label, Node } from 'cc';
import { Clips } from './Enums';
import { AudioMgr } from './AudioMgr';
import { Global } from './Global';
const { ccclass, property } = _decorator;

@ccclass('BtnAction')
export class BtnAction extends Component {
    start() {
    }

    update(deltaTime: number) {

    }

    ////开启一个空位
    unlock_empty_hole() {
        AudioMgr.ins.playSound(Clips.btn_1);
        Global.props_action.open(1);
    }

    random_pin() {
        AudioMgr.ins.playSound(Clips.btn_1);
        Global.props_action.open(2);

    }

    clear_slot() {
        AudioMgr.ins.playSound(Clips.btn_1);
        Global.props_action.open(3);

    }
}

